# Role : docker_dokuwiki


## Services fournis

Installation de dokuwiki sur un serveur docker_host


## Variables

Fournir les variables suivantes. Par exemple :

```yaml
docker_dokuwiki_fqdn: dokuwiki.example.com
docker_dokuwiki_version: lscr.io/linuxserver/dokuwiki:latest
docker_dokuwiki_data_dir: /data1
docker_dokuwiki_service_id: dokuwiki_example_com
```

| Option                           | Valeur par défaut | Description                                                                               |
|----------------------------------|-------------------|-------------------------------------------------------------------------------------------|
| docker_dokuwiki_fqdn             |                   | Le nom de domaine pour lequel le service dokuwiki répond                                  |
| docker_dokuwiki_version          |                   | La version de l'image docker dokuwiki                                                     |
| docker_dokuwiki_data_dir         |                   | L'emplacement dans lequel se trouvent les volumes de donnees docker pour le service       |
| docker_dokuwiki_service_id       |                   | Le nom de service souhaité : conditionne le nommage des volumes et le routage par traefik |


## Premier démarrage dans dokuwiki

Se connecter à dokuwiki à l'url /install.php pour configurer l'utilisateur admin et les premiers paramètres.
